#
# hwclock.sh	Set and adjust the hardware clock, according to the UTC
#		setting in /etc/default/rcS (see also rcS(5)).
#

. /etc/default/rcS
[ "$GMT" = "--utc" ] && GMT="-u"

case "$1" in
	start)
		if [ ! -f /etc/adjtime ]
		then
			echo "0.0 0 0.0" > /etc/adjtime
		fi
		clock -a $GMT
		#
		#	Now that /usr/share/zoneinfo should be available,
		#	announce the local time.
		#
		if [ "$VERBOSE" != no ]
		then
			echo
			echo "Local time: `date`"
			echo
		fi
		;;
	stop|restart|reload)
		clock -w $GMT
		if [ "$VERBOSE" != no ]
		then
			echo "CMOS clock updated to `date`."
		fi
		;;
	show)
		clock -r $GMT
		;;
	*)
		echo "Usage: hwclock.sh {start|stop|reload|show}" >&2
		echo " start sets kernel clock from hardware clock" >&2
		echo " stop and reload set hardware clock from kernel clock" >&2
		echo " show displays the time from the hardware clock" >&2
		exit 1
		;;
esac

